echo off
cls

REM * BATCH FILE TO INSTALL 
REM * PROGRESS DRIVERS

IF "%1" == "" GOTO USAGE
IF "%2" == "" GOTO USAGE

if exist progws\qepnet06.dll GOTO CHECK

md progws
copy %1\qepnet06.dll progws\qepnet06.dll

:CHECK

REM SELECT APPROPRIATE DRIVER
if "%2" == "WS" goto PROGWS
if "%2" == "ws" goto PROGWS
if "%2" == "LAN" goto PROGLN
if "%2" == "lan" goto PROGLN
if "%2" == "HP" goto PROGHP
if "%2" == "hp" goto PROGHP
if "%2" == "WOL" goto PROGWL
if "%2" == "wol" goto PROGWL
if "%2" == "NET" goto PROGWS
if "%2" == "net" goto PROGWS
if "%2" == "SPX" goto PROGWS
if "%2" == "spx" goto PROGWS
cls 
GOTO USAGE



:PROGWS
echo ****************************************************
echo ***  You have picked the driver that works with  ***
echo ***     " FTP TCP/IP, NETBIOS and SPX "          ***
echo ***                                              ***
echo ****************************************************
pause
copy progws\qepnet06.dll %1
echo *   
echo *  
echo           completed.....
echo *  
echo *
goto end

:PROGLN
echo *****************************************************
echo ***   You have picked the driver that works with  ***
echo ***           " LAN Workplace TCP/IP "            ***
echo ***                                               ***
echo *****************************************************
pause
copy progws\qepnet06.dll
patch /Q progln\progln.rtp
copy qepnet06.dll %1
echo *
echo *
echo              completed.....
echo *
echo *
goto end

:PROGHP
echo ******************************************************
echo ***   You  have picked the driver that works with  ***
echo ***               " HP TCP/IP "                    ***
echo ***                                                ***
echo ******************************************************
pause
copy progws\qepnet06.dll
patch /Q proghp\proghp.rtp
copy qepnet06.dll %1
echo *
echo *
echo                 completed.....
echo *
echo *
goto end

:PROGWL
echo ********************************************************
echo ***   You have picked the driver that works with     ***
echo ***           " Wollongong TCP/IP "                  ***
echo ***                                                  ***
echo ********************************************************
pause
copy progws\qepnet06.dll
patch /Q progwl\progwl.rtp
copy qepnet06.dll %1
echo *
echo *
echo                 completed.....
echo *
echo *
goto end


:USAGE
cls
echo ********************************************************
echo ***           PROGRESS INSTALL HELP                  ***
echo ***                                                  ***
echo ***                                                  ***  
echo ***   " PROGRESS <system directory> <driver type> "  ***
echo ***                                                  ***
echo ***                                                  ***
echo ***  Where        "system directory"  =              ***  
echo ***                                                  ***
echo ***               Your windows system directory      ***
echo ***               including drive letter             ***
echo ***                                                  ***
echo ***  and          "driver type"    =                 ***
echo ***                                                  ***
echo ***               WS   =  FTP TCP/IP                 ***
echo ***               LAN  =  LAN Workplace TCP/IP       ***
echo ***               HP   =  HP TCP/IP                  ***
echo ***               WOL  =  Wollongong TCP/IP          ***
echo ***               NET  =  NETBIOS                    ***
echo ***               SPX  =  SPX                        ***
echo ***                                                  ***
echo ***        e.g.  progress c:\win31\system ws         ***
echo ********************************************************
goto end
 

:end

REM Clean Up
if exist qepnet06.dll del qepnet06.dll
